Skip to main content
GET
/
v1
/
stocks
/
movements
Get all stock movements
curl --request GET \
  --url https://dev.flextell.ai/api/v1/stocks/movements \
  --header 'Authorization: Bearer <token>' \
  --header 'X-Tenant: <x-tenant>'
{
  "data": [
    {
      "id": 123,
      "product": {
        "id": 123,
        "name": "<string>"
      },
      "warehouse": {
        "id": 123,
        "name": "<string>"
      },
      "type": "<string>",
      "direction": "<string>",
      "quantity": 123,
      "unit_label": "<string>",
      "reference": "<string>",
      "user": {
        "id": 123,
        "name": "<string>"
      },
      "notes": "<string>",
      "effective_at": "2023-11-07T05:31:56Z",
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z"
    }
  ],
  "links": {
    "first": "<string>",
    "last": "<string>",
    "prev": "<string>",
    "next": "<string>"
  },
  "meta": {
    "current_page": 2,
    "from": 2,
    "last_page": 2,
    "links": [
      {
        "url": "<string>",
        "label": "<string>",
        "active": true
      }
    ],
    "path": "<string>",
    "per_page": 1,
    "to": 2,
    "total": 1
  }
}

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Headers

X-Tenant
number
required

Tenant identifier. Send the Tenant ID in the X-Tenant header to scope API requests to a specific tenant.

Query Parameters

search
string | null

The search query.

Maximum string length: 255
product_id
integer | null

Filter by product ID.

Required range: x >= 1
warehouse_id
integer | null

Filter by warehouse ID.

Required range: x >= 1
type
enum<string>

Filter by stock movement type.

Available options:
purchase,
sale,
sale_return,
transfer,
adjustment,
count,
usage,
usage_return,
initial_stock,
waste
direction
enum<string>

Filter by direction (in or out).

Available options:
in,
out
date_from
string<date-time> | null

Filter records from this date (inclusive, YYYY-MM-DD).

date_to
string<date-time> | null

Filter records up to this date (inclusive, YYYY-MM-DD).

per_page
integer | null

The number of items per page.

Required range: 1 <= x <= 100
page
integer | null

The page number.

Required range: x >= 1
sort_by
enum<string> | null

The field to sort by.

Available options:
effective_at,
quantity,
type,
direction,
created_at
sort_order
enum<string> | null

The sort direction (asc or desc).

Available options:
asc,
desc

Response

Paginated set of StockMovementResource

data
StockMovementResource · object[]
required
meta
object
required